body {
    font-family: 'Poppins', sans-serif;
    color: #333;
}
.hero {
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), 
                      url('../img/backGround.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    text-align: center;
}
.navbar { 
    transition: 0.5s; 
}
#about {
    background-color: #fff;
}
.about-img img {
    width: 100%;
    height: auto;
}
.navbar-light .navbar-nav .nav-link {
    color: #000 !important;
    font-weight: 700 !important; 
    opacity: 1 !important;
}

.navbar-light .navbar-nav .nav-link.active {
    color: #000 !important;
    position: relative;
}
.navbar-light .navbar-nav .nav-link.active::after {
    content: "";
    width: 90%;
    height: 2px;
    background: #000;
    position: absolute;
    bottom: 5px;
    left: 5%;
}
h1, h2, h3, h4,h5,h6, .navbar-brand, .nav-link {
    font-family: 'Montserrat', sans-serif;
}

.hero h1 {
    font-weight: 500 !important; 
    letter-spacing: 1px;
    text-transform: uppercase;
}
#typed {
    font-weight: 400 !important;
}
.social-icons a {
    color: #fff;          
    margin: 0 10px;       
    font-size: 14px;      
    transition: 0.4s;
}
.social-icons a:hover {
    color: #777;          
}
.social-icons i{
    width: 35px;
    height: 35px;
    line-height: 35px;
}
#about {
    padding: 100px 0; 
}
.progress {
    background-color: #eee;
    border-radius: 5px;
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.1);
}
.progress-bar {
    border-radius: 5px;
    transition: width 1s ease-in-out;
}
.about-img::after {
    content: "";
    width: 80%;
    height: 80%;
    position: absolute;
    bottom: -20px;
    left: -20px;
    z-index: -1;
}
.btn-dark:hover {
    background-color: #fff !important; 
    color: #000 !important;           
    border-color: #000 !important;      
}

.service-card {
    border-radius: 5px;
    background-color: #fff;
    transition: all 0.4s ease;
}

.icon-box i {
    width: 50px;
    height: 50px;
    line-height: 50px;
    background-color: #f4f4f4; 
    border-radius: 20%;
    color: #000000b4;
    transition: all 0.4s ease-in-out;
}

.service-card:hover .icon-box i {
    background-color: black;
    color: #fff;            
    transform: scale(0.8);  
}

.service-card:hover h5, 
.service-card:hover p {
    color: inherit !important; 
}

#portfolio {
    padding: 100px 0;
}

#portfolio-flters .nav-link {
    font-size: 14px;
    letter-spacing: 1px;
}

.portfolio-layer {
    position: absolute;
    top: 5px;   
    left: 5px;
    right: 5px;
    bottom: 5px;
    background-color: rgba(255, 255, 255, 0.95); 
    opacity: 0;
    transition: all 0.5s ease-in-out;
    transform: translateY(15px); 
    z-index: 2;
}


.portfolio-item:hover .portfolio-layer {
    opacity: 1;
    transform: translateY(0);
}

.portfolio-layer h6 {
    color: #333;
    letter-spacing: 2px;
    font-size: 12px;
}

/* الدوائر السوداء للأيقونات */
.portfolio-layer .icon-circle {
    width: 30px;
    height: 30px;
    line-height: 30px;
    background-color: #1c1c1c; 
    border-radius: 50%;
    color: #fff !important;
    text-align: center;
    font-size: 12px;
    text-decoration: none;
    transition: 0.3s;
}

.portfolio-layer .icon-circle:hover {
    background-color: #fff;
    color: #1c1c1c !important;
    border: 1px solid #1c1c1c;
}
#blog .card-img-top {
    transition: transform 0.5s ease;
}
#blog .card:hover .card-img-top {
    transform: scale(1.1);
}
#contact {
    padding: 100px 0;
}

.contact-icon {
    width: 60px;
    height: 60px;
    line-height: 60px;
    background-color: #f4f4f4;
    border-radius: 50%;
    transition: all 0.4s;
}

.contact-item:hover .contact-icon {
    background-color: #000;
    color: #fff;
}

.form-control:hover {
    border: 1px solid #000 !important; 
}


.form-control:focus {
    border: 1px solid #000 !important; 
    box-shadow: none !important;      
    background-color: #fff !important; 
}

.form-control:focus {
    box-shadow: none;
    background-color: white !important;
}

.btn-dark {
    border-radius: 5px;
    font-size: 14px;
    transition: 0.3s;
}

.btn-dark:hover {
    background-color: #fff !important;
    color: #000 !important;
    border: 1px solid #000;
}
